Cambrionix connect
Developers
Authentication API

Registered Hubs

Get information about your registered hubs in your organization.

Get Registered Hub in your organization

GET

/registered-hubs/{registeredHubId}

Get a registered hub by id in your organization.

Requires a bearer access token for this API with the Organization.RegisteredHubs.Read permission. See Authentication.

Parameters

registeredHubIdstringpathrequired

Path parameter

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/registered-hubs/{registeredHubId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"